gnutls_privkey_sign_data(3)

NAME
gnutls_privkey_sign_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_privkey_sign_data(gnutls_privkey_t signer, gnutls_digest_algorithm_t hash, unsigned int flags, const gnutls_datum_t * data, gnutls_datum_t * signature);

ARGUMENTS

gnutls_privkey_t signer
    Holds the key

gnutls_digest_algorithm_t hash
    should be a digest algorithm

unsigned int flags
    should be 0 for now

const gnutls_datum_t * data
    holds the data to be signed

gnutls_datum_t * signature
    will contain the signature allocate with gnutls_malloc()

DESCRIPTION
This function will sign the given data using a signature algorithm supported by the private key. Signature algorithms are always used together with a hash functions. Different hash functions may be used for the RSA algorithm, but only SHA-1 for the DSA keys.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.